#######################################################################
# Input for interface library to a command line encoder.
#
# Copyright (C) 2010 Starbuck<starbuck@labdv.com>
#######################################################################

HEADERS += ../../src/encoder/analyzer.h \
			../../src/encoder/configurator.h \
			../../src/encoder/encoder.h \
			../../src/encoder/ffmpeg.h \			
			../../src/encoder/ffprobe.h \			
			../../src/encoder/iprocessor.h \			
			../../src/encoder/interfaceffmpeg.h \
			../../src/encoder/interfacemencoder.h \
			../../src/encoder/macros.h \
			../../src/encoder/mediaeditor.h \			
			../../src/encoder/mediainfoformat.h \			
			../../src/encoder/mediasplitter.h \
			../../src/encoder/mencoder.h \			
			../../src/encoder/processcommand.h \
			../../src/encoder/processlatency.h \
			../../src/encoder/transcoder.h
SOURCES += ../../src/encoder/analyzer.cpp \
			../../src/encoder/configurator.cpp \
			../../src/encoder/encoder.cpp \
			../../src/encoder/ffmpeg.cpp \			
			../../src/encoder/ffprobe.cpp \			
			../../src/encoder/interfaceffmpeg.cpp \
			../../src/encoder/interfacemencoder.cpp \
			../../src/encoder/mediaeditor.cpp \
			../../src/encoder/mediainfoformat.cpp \			
			../../src/encoder/mediasplitter.cpp \			
			../../src/encoder/mencoder.cpp \			
			../../src/encoder/transcoder.cpp